package main

import (
    "bytes"
    "html/template"
    "path/filepath"
    "regexp"
)

var TMPL map[string][]byte

// TODO not use a global
// TODO use range instead of if else in header.html
func generateTmpl() {
    files, _ := filepath.Glob("html/*.html")
    re := regexp.MustCompile("html(/.+).html")

    TMPL = make(map[string][]byte, len(files))
    for _, f := range files {
        b := new(bytes.Buffer)
        name := re.FindStringSubmatch(f)[1]
        t, _ := template.ParseFiles(f)
        t.ParseGlob("tmpl/*.tmpl")
        t.Execute(b, map[string]any{
            "name": name,
        })
        TMPL[name] = b.Bytes()
    }
}
